Bug 501142 - Speech dispatcher fails to start
Speech dispatcher fails to start
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: speech-dispatcher (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 20:09 EDT by Garry Reisky
Modified: 2009-05-29 22:30 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.6.7-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-29 22:30:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vv (27.60 KB, text/plain)
2009-05-16 20:10 EDT, Garry Reisky
no flags Details

  None (edit)
Description Garry Reisky 2009-05-16 20:09:32 EDT
Description of problem:

Speech dispatcher fails to start


[root@localhost init.d]# service speech-dispatcherd  start
Starting speech-dispatcherdError: can't open logging file /home/olpc/.speechd//speechd.log! Using stdout.
[Sat May 16 20:02:44 2009 : 631805] speechd:  Speech Dispatcher Logging to file/home/olpc/.speechd//speechd.log
[Sat May 16 20:02:44 2009 : 631919] speechd: ERROR: Openning debug file for espeak failed: (error=-1) No such file or directory
[Sat May 16 20:02:44 2009 : 631939] speechd:  Initializing output module espeakwith binary /usr/lib/speech-dispatcher-modules//sd_espeak and configuration /etc/speech-dispatcher//modules//espeak.conf
[Sat May 16 20:02:44 2009 : 631956] speechd:  Output module is logging to standard error output (stderr)
[Sat May 16 20:02:44 2009 : 654853] speechd:  Module espeak loaded.
 Sat May 16 20:02:44 2009 [711211] ALSA: Opening ALSA sound output
 Sat May 16 20:02:44 2009 [711640] ALSA: Opening ALSA device
ALSA lib pulse.c:272:(pulse_connect) PulseAudio: Unable to connect: Connection refused

 Sat May 16 20:02:44 2009 [732321] ALSA ERROR: Cannot open audio device default(Connection refused)
 Sat May 16 20:02:44 2009 [732636] ALSA ERROR: Cannot initialize Alsa device 'default': Can't open.
[Sat May 16 20:02:44 2009 : 733692] speechd:  Error: Broken pipe to module.
[Sat May 16 20:02:44 2009 : 733718] speechd:   Output module working status: 0 (pid:3163)
[Sat May 16 20:02:44 2009 : 733739] speechd:  Output module not running.
[Sat May 16 20:02:44 2009 : 733773] speechd: ERROR: Module espeak failed to initialize. Reason:
---------------
Opening sound device failed. Reason: Couldn't open ALSA device.. Can't open sound device.
---------------

[Sat May 16 20:02:44 2009 : 733808] speechd:   Couldn't load specified output module
[Sat May 16 20:02:44 2009 : 733952] speechd:   Reading configuration for pattern emacs:*
[Sat May 16 20:02:44 2009 : 734042] speechd:   Reading configuration for pattern *:gnomespeech:*
[Sat May 16 20:02:44 2009 : 734095] speechd:  Configuration has been read from "/etc/speech-dispatcher//speechd.conf"
Error: can't open logging file /home/olpc/.speechd//speechd.log! Using stdout.
[Sat May 16 20:02:44 2009 : 734128] speechd:  Speech Dispatcher Logging to file/home/olpc/.speechd//speechd.log
[Sat May 16 20:02:44 2009 : 734145] speechd: Error [speechd.c:473]:No speech output modules were loaded - aborting...
                                                           [FAILED]
Comment 1 Garry Reisky 2009-05-16 20:10:26 EDT
Created attachment 344306 [details]
lspci -vv
Comment 2 Peter Robinson 2009-05-20 07:47:43 EDT
I believe I have now fixed this in the build in koji. If you could test it that would be great. You can get it from http://koji.fedoraproject.org/koji/taskinfo?taskID=1365680
Comment 3 Garry Reisky 2009-05-20 14:35:30 EDT
Speech Dispatcher starts now. Excellent.
Comment 4 Peter Robinson 2009-05-20 15:05:31 EDT
Good news. I'll push the update to F11 as a testing update then now I have at least one report it works :-)
Comment 5 Fedora Update System 2009-05-20 15:50:32 EDT
speech-dispatcher-0.6.7-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/speech-dispatcher-0.6.7-1.fc11
Comment 6 Fedora Update System 2009-05-21 19:25:56 EDT
speech-dispatcher-0.6.7-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update speech-dispatcher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5302
Comment 7 Fedora Update System 2009-05-29 22:29:59 EDT
speech-dispatcher-0.6.7-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.